 function checkitem(checkBox, textBox1) {
var e = document.getElementById(textBox1.id);
var f = document.getElementById(checkBox.id);
if (f.checked == true) {
	e.disabled = true;
}
else {
	e.disabled = false;
}
 }

 function checkAllRows(obj) {
       
     var objGridview = obj.closest('table');
     var list = objGridview.getElementsByTagName("input");
     for (var i = 0; i < list.length; i++) {
         var objRow = list[i].parentNode.parentNode;
         if (list[i].type == "checkbox" && obj != list[i]) {
             if (obj.checked) {
                 list[i].checked = true;
             }
             else {
                 list[i].checked = false;
             }
         }
     }
 }
 function checkUncheckHeaderCheckBox(obj) {
     var objGridView = obj.closest('table');
     var list = objGridView.getElementsByTagName("input");
     for (var i = 0; i < list.length; i++) {
         var objHeaderChkBox = list[0];
         var checked = true;
         if (list[i].type == "checkbox" && list[i] != objHeaderChkBox) {
             if (!list[i].checked) {
                 checked = false;
                 break;
             }
         }
     }
     objHeaderChkBox.checked = checked;
 }